Skip to main content
GET
/
dvirs
/
stream
Stream DVIRs
curl --request GET \
  --url https://api.samsara.com/dvirs/stream \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "authorSignature": {
        "signatoryUser": {
          "id": "938172"
        },
        "signedAtTime": "2020-01-27T07:06:25Z",
        "type": "driver"
      },
      "dvirSubmissionBeginTime": "2020-01-27T07:06:25Z",
      "dvirSubmissionTime": "2020-01-27T07:06:25Z",
      "id": "12345",
      "type": "mechanic",
      "updatedAtTime": "2020-01-27T07:06:25Z",
      "defectIds": [
        "8d218e6c-7a16-4f9f-90f7-cc1d93b9e596",
        "25d6151e-29b5-453e-875a-7c5425332e09"
      ],
      "formattedAddress": "350 Rhode Island St Ste. 400S, San Francisco, CA 94103",
      "mechanicNotes": "Replaced headlight on passenger side.",
      "odometerMeters": 91823,
      "safetyStatus": "unsafe",
      "secondSignature": {
        "signatoryUser": {
          "id": "938172"
        },
        "signedAtTime": "2020-01-27T07:06:25Z",
        "type": "driver"
      },
      "thirdSignature": {
        "signatoryUser": {
          "id": "938172"
        },
        "signedAtTime": "2020-01-27T07:06:25Z",
        "type": "driver"
      },
      "trailer": {
        "externalIds": {},
        "id": "494123"
      },
      "vehicle": {
        "externalIds": {},
        "id": "494123"
      },
      "walkaroundPhotos": [
        {
          "createdAtTime": "2020-01-27T07:06:25Z",
          "name": "Name 1",
          "url": "https://s3.samsara.com/samsara-driver-media-upload/walkaround-photo-path"
        }
      ]
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

limit
integer
default:200

The limit for how many objects will be in the response. Default and max for this value is 200 objects.

Required range: 1 <= x <= 200
includeExternalIds
boolean

Optional boolean indicating whether to return external IDs on supported entities

startTime
string
required

Required RFC 3339 timestamp to begin the feed or history by updatedAtTime at startTime.

endTime
string

Optional RFC 3339 timestamp. If not provided then the endpoint behaves as an unending feed of changes.

safetyStatus
string[]

Optional list of safety statuses. Valid values: [safe, unsafe, resolved]

Response

OK response.

data
object[]
required
pagination
object
required

Pagination parameters.